- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
pdftron::PDF::ViewChangeCollection Class Reference

`#include <ViewChangeCollection.h>`

## Public Member Functions
| ViewChangeCollection ()
| ~ViewChangeCollection ()
| ViewChangeCollection (const ViewChangeCollection &view_change)
ViewChangeCollection & | operator= (const ViewChangeCollection &view_change)
void | Destroy ()
ptrdiff_t | GetHandleInternal ()
| ViewChangeCollection (TRN_ViewChangeCollection impl)

## Static Public Member Functions
static ViewChangeCollection * | CreateInternal (ptrdiff_t impl)

## Public Attributes
TRN_ViewChangeCollection | mp_collection

## Detailed Description

Definition at line 9 of file ViewChangeCollection.h.

## Constructor & Destructor Documentation

pdftron::PDF::ViewChangeCollection::ViewChangeCollection | ( |  | ) |

pdftron::PDF::ViewChangeCollection::~ViewChangeCollection | ( |  | ) |

pdftron::PDF::ViewChangeCollection::ViewChangeCollection | ( | const ViewChangeCollection & | view_change | ) |

pdftron::PDF::ViewChangeCollection::ViewChangeCollection | ( | TRN_ViewChangeCollection | impl | ) |

## Member Function Documentation

static ViewChangeCollection* pdftron::PDF::ViewChangeCollection::CreateInternal | ( | ptrdiff_t | impl | ) |
| static

void pdftron::PDF::ViewChangeCollection::Destroy | ( |  | ) |

ptrdiff_t pdftron::PDF::ViewChangeCollection::GetHandleInternal | ( |  | ) |

ViewChangeCollection& pdftron::PDF::ViewChangeCollection::operator= | ( | const ViewChangeCollection & | view_change | ) |

## Member Data Documentation

TRN_ViewChangeCollection pdftron::PDF::ViewChangeCollection::mp_collection

Definition at line 25 of file ViewChangeCollection.h.

The documentation for this class was generated from the following file:

- PDF/ViewChangeCollection.h